import Component from '../../component.js'

export default class CoEuiEditor extends Component {
    constructor(parent) {
        let selector = 'eui-editor';
        super(parent, selector);
        //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/externals/eui-editor/eui-editor.component.html
    }

    get euiEditorWrapper() {
        let path = '//div[contains(@class, "eui-editor-wrapper")]';
        return this.currentPath + path;
    }

    get quillEditor() {
        return this.euiEditorWrapper + '//quill-editor'
    }

    // TO DO - will  update the component when needed

}


